# MD for: https://www.mercadopago.com.mx/developers/pt/docs/partners-guide/platform-id/checkout-pro.md \# Transactions via Checkout Pro After receiving your ID related to the \`PLATFORM\_ID\` of your platform, you can add it to the header of the payment request \[/checkout/preferences\](https://www.mercadopago.com.mx/developers/en/reference/online-payments/checkout-pro/preferences/create-preference/post) when creating a payment preference with Mercado Pago. Example: * [csharp ](#editor%5F1) * [curl ](#editor%5F8) * [go ](#editor%5F7) * [java ](#editor%5F2) * [node ](#editor%5F3) * [php ](#editor%5F4) * [python ](#editor%5F5) * [ruby ](#editor%5F6) csharp java node php python ruby go curl ``` using MercadoPago.Config; MercadoPagoConfig.PlatformId = "YOUR_PLATFORM_ID"; // create the payment preference ``` Copiar ``` import com.mercadopago.MercadoPagoConfig; MercadoPagoConfig.setPlatformId("your-platform-id"); // create the payment preference ``` Copiar ``` import MercadoPago, { Payment } from '@src/index'; const client = new MercadoPago({ accessToken: 'YOUR_ACCESS_TOKEN', options: { plataformId: 'your-platform-id' } }); // create the payment preference ``` Copiar ``` use MercadoPago\MercadoPagoConfig; MercadoPagoConfig::setPlatformId("YOUR_PLATFORM_ID"); // create the payment preference ``` Copiar ``` import mercadopago from mercadopago.config import RequestOptions request_options = RequestOptions(platform_id="your_platform_id") # create the payment preference ``` Copiar ``` require 'mercadopago' request_options = Mercadopago::RequestOptions.new( platform_id: 'your_platform_id_value' ) # create the payment preference ``` Copiar ``` cfg, err := config.New( accessToken, config.WithPlatformID("your_platform_id_here"), ) // create the payment preference ``` Copiar ``` curl --location --request POST 'https://api.mercadolibre.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \ --header 'x-platform-id: {{PLATFORM_ID proporcionado por el equipo de Partners}}' \ // create the payment preference ``` Copiar